Bug 103500 - <mo stretchy="true">∫</mo> imports as int, but should be intd
Summary: <mo stretchy="true">∫</mo> imports as int, but should be intd
Status: CLOSED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Formula Editor (show other bugs)
Version:
(earliest affected)
5.3.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard: target:5.3.0
Keywords:
Depends on:
Blocks:
 
Reported: 2016-10-25 17:53 UTC by Regina Henschel
Modified: 2017-01-13 18:14 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
first integral is not stretchy, second integral is strechy (942 bytes, application/mathml+xml)
2016-10-25 17:53 UTC, Regina Henschel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Regina Henschel 2016-10-25 17:53:45 UTC
Created attachment 128264 [details]
first integral is not stretchy, second integral is strechy

StarMath has the new command intd to generate a stretchy integral character ∫. The export to MathML was already fixed in bug 97049. But the import is wrong. It generates the normal "int" command although the integral operator should be the stretchy version "intd".
Comment 1 Jean-Baptiste Faure 2016-10-26 04:49:49 UTC
Confirmed in the master.

Best regards. JBF
Comment 2 Commit Notification 2016-11-19 07:51:52 UTC
Takeshi Abe committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f533b3f39956fe8028c1f7f7cc3c37b0feed8b57

tdf#103500 Import stretchy integral symbol from MathML

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Xisco Faulí 2017-01-13 12:34:41 UTC
Hello,
Is this bug fixed?
If so, could you please close it as RESOLVED FIXED?
Comment 4 Regina Henschel 2017-01-13 18:14:21 UTC
Yes it is fixed in Version: 5.4.0.0.alpha0+
Build ID: 5adab0927483d039037b0f93894627e41a2c72f2
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-01-09_23:34:00
Locale: de-DE (de_DE); Calc: group